summaryrefslogtreecommitdiff
path: root/configs/releng/root-image/etc/rc.d/functions.d/automated_script
diff options
context:
space:
mode:
Diffstat (limited to 'configs/releng/root-image/etc/rc.d/functions.d/automated_script')
-rw-r--r--configs/releng/root-image/etc/rc.d/functions.d/automated_script25
1 files changed, 25 insertions, 0 deletions
diff --git a/configs/releng/root-image/etc/rc.d/functions.d/automated_script b/configs/releng/root-image/etc/rc.d/functions.d/automated_script
new file mode 100644
index 0000000..edb8ea3
--- /dev/null
+++ b/configs/releng/root-image/etc/rc.d/functions.d/automated_script
@@ -0,0 +1,25 @@
+. /etc/archiso/functions
+
+automated_script ()
+{
+ script="$(kernel_cmdline script)"
+ if [[ -n "$script" ]]; then
+ stat_busy "Configuring $script"
+ if [[ "$script" =~ ^http:// || "$script" =~ ^ftp:// ]]; then
+ wget "$script" -q -O /tmp/startup_script >/dev/null
+ rt=$?
+ else
+ cp "$script" /tmp/startup_script
+ rt=$?
+ fi
+ if [ $rt -eq 0 ]; then
+ chmod +x /tmp/startup_script
+ echo -e '\nif [ $(tty) = "/dev/tty1" ]; then\n /tmp/startup_script\nfi\n' >> /root/.bash_profile
+ stat_done
+ else
+ stat_fail
+ fi
+ fi
+}
+
+add_hook multi_end automated_script